post
https://api.repsly.com/v3/import/planogram
The endpoint is used to import product lists (defined list entities) from your system to Repsly. Important: Partial updates are allowed (see Action field in Products, Places and Accounts)
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request definition
Keys that determine which records to update or insert are marked with a blue diamond 🔹, while the required keys are marked with a red triangle 🔺
| Name | Type | Description |
|---|---|---|
| DisplayType🔺 | string | Display type name |
| Category 🔺 | string | Product category (from ImageRec) name |
| PlaceCode | string | Planogram assigned to this place (mutually exclusive with AccountCode) |
| AccountCode | string | Planogram assigned to this account (mutually exclusive with PlaceCode) |
| ValidFrom | DateTime | Start of the validity period for this planogram (can be null) |
| ValidTo | DateTime | End of the validity period for planogram (can be null) |
| Items | List | List of products and their positions in this Planogram |
| Items.ProductCode | string | Identifier (Code) of the product |
| Items.ShelfNumber | int | Shelf number (bottom = 1, goes up) |
| Items.HorizontalPosition | int | Stack number on the shelf (leftmost = 1, goes to the right) |
| Items.VerticalPosition | int | Product facing number within the stack (bottom= 1, goes up) |
Response definition
| Name | Type | Description |
|---|---|---|
| Code | Integer | Error identifier (0 = no errors) |
| Message | String (255) | Response affirmative or error message |